import Vue from "vue";
import elementUI from "element-ui";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import "./styles/index.scss";
import request from "./utils/request";
import message from "./utils/message";
import i18n from "@/lang";
import BaiduMap from "vue-baidu-map";

Vue.use(BaiduMap, {
  // ak 是在百度地图开发者平台申请的密钥 详见 http://lbsyun.baidu.com/apiconsole/key */
  ak: "QIDnjG9kDzzqrpSPfxhBxqauADXpMsX9"
});
Vue.use(elementUI, {
  i18n: (key: string, value: string) => i18n.t(key, value)
});
Vue.use(request);
Vue.use(message);

Vue.config.productionTip = false;

new Vue({
  router,
  store,
  i18n,
  render: h => h(App)
}).$mount("#app");
