import i18n from "@/lang";
export const dateFormat = (fmt: string, x: Date | string) => {
  const date = typeof x === "string" ? new Date(x) : x;
  let ret;
  let opt: IAny = {
    "Y+": date.getFullYear().toString(), // 年
    "M+": (date.getMonth() + 1).toString(), // 月
    "d+": date.getDate().toString(), // 日
    "h+": date.getHours().toString(), // 时
    "m+": date.getMinutes().toString(), // 分
    "s+": date.getSeconds().toString() // 秒
  };
  for (let k in opt) {
    ret = new RegExp("(" + k + ")").exec(fmt);
    if (ret) {
      fmt = fmt.replace(
        ret[1],
        ret[1].length == 1 ? opt[k] : opt[k].padStart(ret[1].length, "0")
      );
    }
  }
  return fmt;
};

export const setPageTitle = (key: string) => {
  const title = i18n.t("title");
  document.title = `${
    i18n.te(`route.${key}`) ? i18n.t(`route.${key}`) + " - " : ""
  }${title}`;
};
